GenericResourcePlugin (Resource Management Library 2.0.0-2.17.1 API)
Date: 2014-01-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.resourcemanagement.support.shared.plugins
Class GenericResourcePlugin

    java.lang.Object
      org.gcube.resourcemanagement.support.shared.plugins.GenericResourcePlugin

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, Serializable

    public class GenericResourcePlugin

extends Object
implements Serializable, com.google.gwt.user.client.rpc.IsSerializable

Author:
  Daniele Strollo (ISTI-CNR)
See Also:
  Serialized Form

Nested Class Summary
`static class` | `GenericResourcePlugin.Field`
`static class` | `GenericResourcePlugin.FieldType`

Constructor Summary
`GenericResourcePlugin()` Deprecated. for serialization only
`GenericResourcePlugin(String name, String namespace, String description, String type)`

Method Summary
`void` | `addParam(GenericResourcePlugin.Field param)`
`String` | `getDescription()`
`String` | `getName()`
`String` | `getNamespace()`
`List<GenericResourcePlugin.Field>` | `getParams()`
`String` | `getType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericResourcePlugin

    public GenericResourcePlugin()

  Deprecated. for serialization only

### GenericResourcePlugin

    public GenericResourcePlugin(String name,
                                 String namespace,
                                 String description,
                                 String type)

Method Detail

### addParam

    public final void addParam(GenericResourcePlugin.Field param)

### getName

    public final String getName()

### getDescription

    public final String getDescription()

### getType

    public final String getType()

### getNamespace

    public final String getNamespace()

### getParams

    public final List<GenericResourcePlugin.Field> getParams()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.